<?php
/* conf  DB */
	$set_db_host = "127.0.0.1";
	$set_db_username = "root";
	$set_db_passwd = "af08c553bb131f15";
	$set_db_database = "now_db";
/* fine conf  DB */

	$set_server_enc_key="muerwYqt8LbUaZsUwMWjbQtjKS6VD5FfW78NwL3m6JAtz2yX9zjzgdbZswbzctMCxcZ6KSXyFzGhrBsvs";
	

	
date_default_timezone_set('Europe/Rome');
error_reporting(E_ALL & ~E_NOTICE);
set_time_limit(0);

$conn = new mysqli($servername, $username, $password, $dbname);

// Verifica la connessione
if ($conn->connect_error) {
    die("Connessione fallita: " . $conn->connect_error);
}

// Recupera l'ID del film dal parametro GET
$id_canale = $_GET['id'];

// Query per ottenere i dettagli del canale
$sql = "SELECT * FROM id_canale WHERE id = ?";
$stmt = $conn->prepare($sql);
$stmt->bind_param("i", $id_canale);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows > 0) {
    $row = $result->fetch_assoc();

    // Visualizza i dettagli del canale
    echo "<h2>" . $row['nome'] . "</h2>";
    echo "<img src='poster/" . $row['image'] . "' alt='Poster del canale'>";
    echo "<p>" . $row['titolo'] . "</p>";
} else {
    echo "Canale non trovato.";
}

$stmt->close();
$conn->close();
?>